package LasTres::Planet::Bahdder;

use v5.36.0;

use strict;
use warnings;

use Moo;

use utf8;

use Module::Pluggable search_path => ['LasTres::Planet::Bahdder'],
    instantiate => 'instance',
    on_require_error => sub ($plugin, $error) {
        die $error;
    };

with 'LasTres::Planet';

sub identifier {
    return 'bahdder',
}

sub super_areas {
    my $self = shift;
    my $hash = {};
    my @super_areas = $self->plugins();
    for my $super_area (@super_areas) {
        $hash->{$super_area->identifier} = $super_area;
    }
    return $hash;
}

sub name {
    return 'Bahdder';
}

sub description {
    return 'Archivo de la Patrulla Galáctica: Bahdder es uno de los planetas con mayor población de la galaxia con una población estimada '
    . 'de tres mil millones de individuos pertenecientes a especies consideradas inteligentes. '
    . 'Es conocido como el planeta origen de los Yaren; no obstante la presencia de los mismos en este planeta es actualmente simbólica. '
    . 'Su población actual esta mayormente compuesta por razas locales como los Áldimor. '; 
}

my $singleton;
sub instance {
    my $class = shift;
    if (!defined $singleton) {
        $singleton = $class->new(@_);
    }
    return $singleton;
}
1;
